>From 9e327876b936e3965de3d3ee081a7c3210cad105 Mon Sep 17 00:00:00 2001
From: Michael Friedrich <michael.friedrich@univie.ac.at>
Date: Mon, 13 Feb 2012 18:27:06 +0100
Subject: [PATCH] fix tests compile in t-tap/

recent last_program_stop was not provided
within stubs and therefore failing on make
of t-tap
---
 t-tap/test-stubs.c         |    1 +
 t-tap/test_nagios_config.c |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/t-tap/test-stubs.c b/t-tap/test-stubs.c
index 3f374b9..8d8522f 100644
--- a/t-tap/test-stubs.c
+++ b/t-tap/test-stubs.c
@@ -108,6 +108,7 @@ unsigned long syslog_options;
 int verify_config;
 int test_scheduling;
 time_t last_log_rotation;
+time_t last_program_stop;
 int log_rotation_method;
 int daemon_mode = TRUE;
 char *debug_file = "";
diff --git a/t-tap/test_nagios_config.c b/t-tap/test_nagios_config.c
index 9ea9773..b4514a7 100644
--- a/t-tap/test_nagios_config.c
+++ b/t-tap/test_nagios_config.c
@@ -132,6 +132,7 @@ char            *new_program_version = NULL;
 time_t          last_command_check = 0L;
 time_t          last_command_status_update = 0L;
 time_t          last_log_rotation = 0L;
+time_t          last_program_stop = 0L;
 
 int             use_aggressive_host_checking = DEFAULT_AGGRESSIVE_HOST_CHECKING;
 unsigned long   cached_host_check_horizon = DEFAULT_CACHED_HOST_CHECK_HORIZON;
-- 
1.7.9

